Java7Support
Date: 2016-12-04

com.fasterxml.jackson.databind.ext

## Class Java7Support

- java.lang.Object
- - com.fasterxml.jackson.databind.ext.Java7Support

- Direct Known Subclasses:
    Java7SupportImpl

      public abstract class Java7Support
      extends java.lang.Object

  To support Java7-incomplete platforms, we will offer support for JDK 7 annotations through this class, loaded dynamically; if loading fails, support will be missing. This class is the non-JDK-7-dependent API, and `Java7SupportImpl` is JDK7-dependent implementation of functionality.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Java7Support()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract PropertyName` | `findConstructorName(AnnotatedParameter p)`
    `abstract java.lang.Boolean` | `findTransient(Annotated a)`
    `abstract java.lang.Class<?>` | `getClassJavaNioFilePath()`
    `abstract JsonDeserializer<?>` | `getDeserializerForJavaNioFilePath(java.lang.Class<?> rawType)`
    `abstract JsonSerializer<?>` | `getSerializerForJavaNioFilePath(java.lang.Class<?> rawType)`
    `abstract java.lang.Boolean` | `hasCreatorAnnotation(Annotated a)`
    `static Java7Support` | `instance()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Java7Support

          public Java7Support()

  - ### Method Detail

    - #### instance

          public static Java7Support instance()

    - #### findTransient

          public abstract java.lang.Boolean findTransient(Annotated a)

    - #### hasCreatorAnnotation

          public abstract java.lang.Boolean hasCreatorAnnotation(Annotated a)

    - #### findConstructorName

          public abstract PropertyName findConstructorName(AnnotatedParameter p)

    - #### getClassJavaNioFilePath

          public abstract java.lang.Class<?> getClassJavaNioFilePath()

    - #### getDeserializerForJavaNioFilePath

          public abstract JsonDeserializer<?> getDeserializerForJavaNioFilePath(java.lang.Class<?> rawType)

    - #### getSerializerForJavaNioFilePath

          public abstract JsonSerializer<?> getSerializerForJavaNioFilePath(java.lang.Class<?> rawType)